
#
# Patch managed by http://www.holgerschurig.de/patcher.html
#

--- qt-2.3.10/src/widgets/qpopupmenu.cpp~qte-iconsize
+++ qt-2.3.10/src/widgets/qpopupmenu.cpp
@@ -820,7 +820,7 @@
 	    mi->custom()->setFont( font() );
 	if ( mi->iconSet() != 0)
 	    maxPMWidth = QMAX( maxPMWidth,
-			       mi->iconSet()->pixmap( QIconSet::Small, QIconSet::Normal ).width() + 4 );
+			       mi->iconSet()->pixmap().width() + 4 );
     }
 
     int dh = QApplication::desktop()->height();
--- qt-2.3.10/src/widgets/qtabbar.cpp~qte-iconsize
+++ qt-2.3.10/src/widgets/qtabbar.cpp
@@ -414,8 +414,8 @@
     int iw = 0;
     int ih = 0;
     if ( t->iconset != 0 ) {
-	iw = t->iconset->pixmap( QIconSet::Small, QIconSet::Normal ).width();
-	ih = t->iconset->pixmap( QIconSet::Small, QIconSet::Normal ).height();
+	iw = t->iconset->pixmap().width();
+	ih = t->iconset->pixmap().height();
 	if (!t->label.isEmpty())
 	   iw +=2; 
     }
@@ -442,7 +442,11 @@
 	    ? QIconSet::Normal : QIconSet::Disabled;
 	if ( mode == QIconSet::Normal && has_focus )
 	    mode = QIconSet::Active;
-	QPixmap pixmap = t->iconset->pixmap( QIconSet::Small, mode );
+	QPixmap pixmap;
+	if ( mode == QIconSet::Disabled )
+		pixmap = t->iconset->pixmap( QIconSet::Automatic, QIconSet::Disabled );
+	else
+		pixmap = t->iconset->pixmap();
 	int pixw = pixmap.width();
 	int pixh = pixmap.height();
 	r.setLeft( r.left() + pixw + 2 );
@@ -871,8 +875,8 @@
 	int iw = 0;
 	int ih = 0;
 	if ( t->iconset != 0 ) {
-	    iw = t->iconset->pixmap( QIconSet::Small, QIconSet::Normal ).width();
-	    ih = t->iconset->pixmap( QIconSet::Small, QIconSet::Normal ).height();
+	    iw = t->iconset->pixmap().width();
+	    ih = t->iconset->pixmap().height();
 	    if (!t->label.isNull())
 		iw +=2;
 	}
@@ -915,8 +919,8 @@
 	    int iw = 0;
 	    int ih = 0;
 	    if ( t->iconset != 0 ) {
-		iw = t->iconset->pixmap( QIconSet::Small, QIconSet::Normal ).width();
-		ih = t->iconset->pixmap( QIconSet::Small, QIconSet::Normal ).height();
+		iw = t->iconset->pixmap().width();
+		ih = t->iconset->pixmap().height();
 		if (!t->label.isEmpty())
 		    iw +=2; 
 	    }
@@ -947,8 +951,8 @@
 	    int iw = 0;
 	    int ih = 0;
 	    if ( t->iconset != 0 ) {
-		iw = t->iconset->pixmap( QIconSet::Small, QIconSet::Normal ).width();
-		ih = t->iconset->pixmap( QIconSet::Small, QIconSet::Normal ).height();
+		iw = t->iconset->pixmap().width();
+		ih = t->iconset->pixmap().height();
 		if (!t->label.isEmpty())
 		    iw +=2; 
 	    }
--- qt-2.3.10/src/widgets/qwindowsstyle.cpp~qte-iconsize
+++ qt-2.3.10/src/widgets/qwindowsstyle.cpp
@@ -1182,7 +1182,7 @@
 	h = fm.height() + 2*motifItemVMargin + 2*motifItemFrame;
 
     if ( !mi->isSeparator() && mi->iconSet() != 0 ) {
-	h = QMAX( h, mi->iconSet()->pixmap( QIconSet::Small, QIconSet::Normal ).height() + 2*motifItemFrame );
+	h = QMAX( h, mi->iconSet()->pixmap().height() + 2*motifItemFrame );
     }
     if ( mi->custom() )
 	h = QMAX( h, mi->custom()->sizeHint().height() + 2*motifItemVMargin + 2*motifItemFrame );
@@ -1246,7 +1246,11 @@
 	QIconSet::Mode mode = dis ? QIconSet::Disabled : QIconSet::Normal;
 	if (act && !dis )
 	    mode = QIconSet::Active;
-	QPixmap pixmap = mi->iconSet()->pixmap( QIconSet::Small, mode );
+	QPixmap pixmap;
+	if ( mode == QIconSet::Disabled )
+		pixmap = mi->iconSet()->pixmap( QIconSet::Automatic, QIconSet::Disabled );
+	else
+		pixmap = mi->iconSet()->pixmap();
 	int pixw = pixmap.width();
 	int pixh = pixmap.height();
 	if ( act && !dis ) {
